import REact from 'react'; 
import ReactDOM from "react-dom";
import {arc} from 'd3'; 
console.log(arc);


const width= 960;
const height= 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 10;
const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 35;
const mouthWidth = 20;
const mouthRadius = 150;
const teethOffsetX = 60;
const teethOffsetY = 20;

const mouthArc = arc()
  .innerRadius(mouthRadius)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI / 2)
  .endAngle(Math.PI * 3/2);

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
      <circle 
        r={centerY - strokeWidth / 2}
        fill="yellow"
        stroke="black"
        stroke-width={strokeWidth}
      />
      <circle 
        cx={- eyeOffsetX}
        cy={- eyeOffsetY} 
        r={eyeRadius}
      />
      <circle 
        cx={eyeOffsetX}
        cy={- eyeOffsetY} 
        r={eyeRadius}
      />
      <path d={mouthArc()}/>
    	</g>
    	<g transform={`translate(${centerX +30},${centerY +150}) rotate(-15)`}>
      	<rect 
        	width="40"
          height="50"
          fill="white" 
        />
      </g>
      <g transform={`translate(${centerX -30},${centerY +150}) rotate(5)`}>
      	<rect 
          width="40"
          height="50"
          fill="white" 
        />
    	</g>
    </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
